local fn = _gn(0xB61C8E878A4199CA)
--- Flags are:
-- 1 = 1 = B02_IsFootpath
-- 2 = 4 = !B15_InteractionUnk
-- 4 = 0x20 = !B14_IsInterior
-- 8 = 0x40 = !B07_IsWater
-- 16 = 0x200 = B17_IsFlatGround
-- When onGround == true outPosition is a position located on the nearest pavement.
-- When a safe coord could not be found the result of a function is false and outPosition == Vector3.Zero.
-- In the scripts these flags are used: 0, 14, 12, 16, 20, 21, 28. 0 is most commonly used, then 16.
-- 16 works for me, 0 crashed the script.
function Global.GetSafeCoordForPed(x, y, z, onGround, flags)
	return _in2(fn, x, y, z, onGround, _v, flags, _r)
end
